import clr
import sys

# Add the directory containing the DLL to the system path
dll_path = r'C:\Users\shema_r\Desktop\TestPython\DLL\Release'
sys.path.append(dll_path)

# Add reference to the assembly
clr.AddReference("Radiall_USBInterface")

# Import necessary namespaces and classes
from Radiall_USBInterface import USBInterface

# Create an instance of the USBInterface class
usb_interface = USBInterface()

# Call the Initialize method
result = usb_interface.Initialize("COM17")  # Replace "COM17" with your desired COM port
print(result)

# Call the GetSerialNumber method
serial_number = usb_interface.GetSerialNumber()
print(f"Serial Number: {serial_number}")


if result:
    # Call the GetSwitchID method
    switch_id = usb_interface.GetSwitchID()
    print(f"Switch ID: {switch_id}")

    # Call the GetDeviceType method
    device_type = usb_interface.GetDeviceType()
    print(f"Device Type: {device_type}")

     # Call the SetPosition method
    target_position = 3  # Replace with your desired target position
    success = usb_interface.SetPosition(target_position)

    if success:
        print(f"SetPosition successful for position {target_position}")
    else:
        print("SetPosition failed.")

    # Call the GetPosition method
    position = usb_interface.GetPosition()
    print(f"Current Position: {position}")


else:
    print("USB interface initialization failed.")
